ros-rolling-sros2 (0.10.3-1focal) focal; urgency=high

  * Wait for node discovery in test_generate_policy. (#262 <https://github.com/ros2/sros2/issues/262>)
  * Contributors: Michel Hidalgo

 -- ROS Security Working Group <ros-security@googlegroups.com>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-sros2 (0.10.2-1focal) focal; urgency=high

  * Skip mypy test on platforms using importlib_resources (#258 <https://github.com/ros2/sros2/issues/258>)
  * Enable topic "ros_discovery_info" for rmw_connextdds (#253 <https://github.com/ros2/sros2/issues/253>)
  * Declare missing dependency on python3-importlib-resources (#249 <https://github.com/ros2/sros2/issues/249>)
    Co-authored-by:  <mailto:mikael.arguedas@gmail.com>
  * Fix namedtuple names. (#250 <https://github.com/ros2/sros2/issues/250>)
  * Contributors: Andrea Sorbini, Chris Lalancette, Scott K Logan, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-sros2 (0.10.1-1focal) focal; urgency=high

  * parameter_events topic is now absolute (#233)
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Sun, 08 Nov 2020 08:00:00 -0000

ros-rolling-sros2 (0.10.0-1focal) focal; urgency=high

  * Expose keystore operations in public API (#241 <https://github.com/ros2/sros2/issues/241>)
  * add cyclonedds to the list of rmw using graph info topics (#231 <https://github.com/ros2/sros2/issues/231>)
  * Add scope parameter (#230 <https://github.com/ros2/sros2/issues/230>)
  * Fix name of argument passed to NodeStrategy (#227 <https://github.com/ros2/sros2/issues/227>)
  * Remove the use of pkg_resources. (#225 <https://github.com/ros2/sros2/issues/225>)
  * Make use of ros_testing to test policy generation. (#214 <https://github.com/ros2/sros2/issues/214>)
  * Add pytest.ini so local tests don't display warning (#224 <https://github.com/ros2/sros2/issues/224>)
  * Contributors: Chris Lalancette, Jacob Perron, Jose Luis Rivero, Kyle Fazzari, Michel Hidalgo, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Tue, 03 Nov 2020 08:00:00 -0000

ros-rolling-sros2 (0.9.2-1focal) focal; urgency=high

  * Fix list keys verb (#219 <https://github.com/ros2/sros2/issues/219>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Sat, 06 Jun 2020 07:00:00 -0000

ros-rolling-sros2 (0.9.1-1focal) focal; urgency=high

  * start validity date a day before to account for timezone mismatch (#209 <https://github.com/ros2/sros2/issues/209>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 11 May 2020 07:00:00 -0000

ros-rolling-sros2 (0.9.0-1focal) focal; urgency=high

  * Use matching validity dates for cert and permissions (#205 <https://github.com/ros2/sros2/issues/205>)
  * permission signing should use permissions_ca (#204 <https://github.com/ros2/sros2/issues/204>)
  * Rename keystore root env from ROS_SECURITY_ROOT_DIRECTORY to ROS_SECURITY_KEYSTORE (#200 <https://github.com/ros2/sros2/issues/200>)
  * API cleanup
    * remove function leftover from old generation strategy (#207 <https://github.com/ros2/sros2/issues/207>)
    * remove distribute_key completely (#197 <https://github.com/ros2/sros2/issues/197>)
    * api: reorganize policy generation API (#196 <https://github.com/ros2/sros2/issues/196>)
    * api: reorganize artifact generation API (#195 <https://github.com/ros2/sros2/issues/195>)
    * api: reorganize key API (#192 <https://github.com/ros2/sros2/issues/192>)
    * api: reorganize permission API (#191 <https://github.com/ros2/sros2/issues/191>)
    * api: reorganize policy API (#190 <https://github.com/ros2/sros2/issues/190>)
    * api: reorganize keystore API (#188 <https://github.com/ros2/sros2/issues/188>)
  * Security enclaves:
    * Use security contexts (#177 <https://github.com/ros2/sros2/issues/177>)
    * security-context -> enclave (#198 <https://github.com/ros2/sros2/issues/198>)
    * Update generate_policy verb for enclaves (#203 <https://github.com/ros2/sros2/issues/203>)
    * reenable test_generate_policy_no_policy_file (#206 <https://github.com/ros2/sros2/issues/206>)
  * [ci] Add GitHub actions for linting and source-build CI (#178 <https://github.com/ros2/sros2/issues/178>)
  * [test] use test_msgs instead of std message packages (#181 <https://github.com/ros2/sros2/issues/181>)
  * [test] more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * [bookkeeping] Update maintainer to point to ros-security mailing list + fix package.xml (#179 <https://github.com/ros2/sros2/issues/179>)
  * Symlink CA certs instead of copy (#176 <https://github.com/ros2/sros2/issues/176>)
  * update from ros2cli API:
    * pass argv in add_arguments to add_subparsers_on_demand (#175 <https://github.com/ros2/sros2/issues/175>)
    * switch to not deprecated API (#174 <https://github.com/ros2/sros2/issues/174>)
    * Use ros2cli.node.NodeStrategy consistently. (#173 <https://github.com/ros2/sros2/issues/173>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Kyle Fazzari, Michel Hidalgo, Mikael Arguedas, Ruffin

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 06 May 2020 07:00:00 -0000

ros-rolling-sros2 (0.8.1-1focal) focal; urgency=high

  * add profile for lifecycle nodes (#146 <https://github.com/ros2/sros2/issues/146>)
  * Cleanup changelog
  * Update version in setup.py
  * Contributors: Jacob Perron, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-sros2 (0.8.0-1focal) focal; urgency=high

  * Install an XML catalog so we can look this schema up locally (#158 <https://github.com/ros2/sros2/issues/158>)
    Fixes a failure in test_policy_to_permissions when there's no internet.
  * Fix missing resources needed for ament (#160 <https://github.com/ros2/sros2/issues/160>)
  * Install package manifest (#159 <https://github.com/ros2/sros2/issues/159>)
  * Disable flaky test (#155 <https://github.com/ros2/sros2/issues/155>)
  * Add mypy tests to check static typing (#154 <https://github.com/ros2/sros2/issues/154>)
  * Topics starting with tilde need a slash right after (#152 <https://github.com/ros2/sros2/issues/152>)
  * Update message content to match create_key message
  * Create key and cert only once in generate_artifacts
  * Fix certificate start date to work regardless of the timezone (#148 <https://github.com/ros2/sros2/issues/148>)
  * Use older pytest compatible with Ubuntu Bionic (#145 <https://github.com/ros2/sros2/issues/145>)
  * Add request service permissions in generated policies  (#141 <https://github.com/ros2/sros2/issues/141>)
  * Replace openssl subprocess calls with Python cryptography library
    
    Remove use of subprocess for creating ca key and cert (#126)
    
    Obtain S/MIME signature using cryptography library (#129)
    
    Migrate permissions S/MIME to cryptography library (#136)
    
    Migrate create_key to cryptography library (#138)
    
    Remove now obsolete openssl dependency (#140)
  * Factor out the hardcoded name 'sros2testCA' into a constant DEFAULT_COMMON_NAME (#134 <https://github.com/ros2/sros2/issues/134>)
  * Improve create_key tests (#132 <https://github.com/ros2/sros2/issues/132>)
  * Add test for create_key verb (#125 <https://github.com/ros2/sros2/issues/125>)
  * Add basic create_keystore test. (#124 <https://github.com/ros2/sros2/issues/124>)
  * Add tests for list_keys verb (#123 <https://github.com/ros2/sros2/issues/123>)
  * Add tests for generate_policy verb (#122 <https://github.com/ros2/sros2/issues/122>)
  * Guard against empty ROS graph when generating policy (#118 <https://github.com/ros2/sros2/issues/118>)
  * Guard against invalid key names (#117 <https://github.com/ros2/sros2/issues/117>)
    In particular, guard against keys that only consist of whitespace and '/' characters.
  * Contributors: Emerson Knapp, Jacob Perron, Kyle Fazzari, Mikael Arguedas, Peter Baughman, Ruffin, Siddharth Kucheria

 -- ROS Security Working Group <ros-security@googlegroups.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-sros2 (0.7.0-1focal) focal; urgency=high

  * Add generate_artifacts verb (#107 <https://github.com/ros2/sros2/issues/107>)
  * complete xml and not yaml files for create_permission (#104 <https://github.com/ros2/sros2/issues/104>)
  * Fix bug preventing generate_policy verb from working with publishers and services
  * Add missing attributes to test permissions XML file
  * add reference to schema in generated permission files (#84 <https://github.com/ros2/sros2/issues/84>)
  * Correct sros2 cli test folder location (#83 <https://github.com/ros2/sros2/issues/83>)
  * Use XML and XSLT to perform permission transform (#72 <https://github.com/ros2/sros2/issues/72>)
  * Contributors: Jacob Perron, Michael Carroll, Mikael Arguedas, Ruffin

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-sros2 (0.6.2-1focal) focal; urgency=high



 -- ROS Security Working Group <ros-security@googlegroups.com>  Fri, 08 Feb 2019 08:00:00 -0000

ros-rolling-sros2 (0.6.1-1focal) focal; urgency=high

  * Restructured sros2 to enable additional packages in this repository. (#74 <https://github.com/ros2/sros2/issues/74>)
  * Added generate_permissions verb + update policy definition to support services and actions (#71 <https://github.com/ros2/sros2/issues/71>)
  * Contributors: Jacob Perron, Ross Desmond

 -- ROS Security Working Group <ros-security@googlegroups.com>  Tue, 15 Jan 2019 08:00:00 -0000

ros-rolling-sros2 (0.6.0-1focal) focal; urgency=high

  * Update package maintainer for sros2 (#70 <https://github.com/ros2/sros2/issues/70>)
  * separating identity and permission CAs (#67 <https://github.com/ros2/sros2/issues/67>)
  * ignore __pycache__ in git
  * raise FileNotFoundError if provided permission file doesn't exist (#64 <https://github.com/ros2/sros2/issues/64>)
  * refer to new xsd now that it's available (#62 <https://github.com/ros2/sros2/issues/62>)
  * fixup path of RANDFILE to match rest of tutorial (#61 <https://github.com/ros2/sros2/issues/61>)
  * Contributors: Michael Carroll, Mikael Arguedas, William Woodall

 -- ROS Security Working Group <ros-security@googlegroups.com>  Fri, 07 Dec 2018 08:00:00 -0000

ros-rolling-sros2 (0.5.0-1focal) focal; urgency=high

  * Update docs for bouncy leveraging remapping for demo (#53 <https://github.com/ros2/sros2/issues/53>)
  * Windows tutorial tweaks (#58 <https://github.com/ros2/sros2/issues/58>)
  * publish ans subscribe to all parameter service topics (#52 <https://github.com/ros2/sros2/issues/52>)
  * remove partitions (#45 <https://github.com/ros2/sros2/issues/45>)
  * as of Bouncy access control is available for both Fast-RTPS and Connext (#50 <https://github.com/ros2/sros2/issues/50>)
  * add pytest markers to linter tests
  * Remove outdated docker resources now that SROS2 ships as part of the core (#48 <https://github.com/ros2/sros2/issues/48>)
  * add X509 extensionCA:false (#47 <https://github.com/ros2/sros2/issues/47>)
  * enable_liveliness_protection (#44 <https://github.com/ros2/sros2/issues/44>)
  * set zip_safe to avoid warning during installation (#42 <https://github.com/ros2/sros2/issues/42>)
  * Linter fixup
  * add special service rule only if not wildcarding everything (#40 <https://github.com/ros2/sros2/issues/40>)
  * remove whant now appears to be obsolete DCPS whitelisting (#34 <https://github.com/ros2/sros2/issues/34>)
  * fix sample_policy download command (#37 <https://github.com/ros2/sros2/issues/37>)
  * Fix access control for ardent (#33 <https://github.com/ros2/sros2/issues/33>)
  * advise to ask questions on ROS answers
  * print full help when no command is passed (#35 <https://github.com/ros2/sros2/issues/35>)
  * add return code to all verb apis (#28 <https://github.com/ros2/sros2/issues/28>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Shane Loretz, dhood

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 27 Jun 2018 07:00:00 -0000

ros-rolling-sros2 (0.4.0-1focal) focal; urgency=high

  * update maintainer
  * update instructions now that connext security is supported on all pla… (#30 <https://github.com/ros2/sros2/issues/30>)
  * explicitly call out setting the variables (#29 <https://github.com/ros2/sros2/issues/29>)
  * remove test_suite, add pytest as test_requires (#27 <https://github.com/ros2/sros2/issues/27>)
  * update xml to match spec + connext 53 (#16 <https://github.com/ros2/sros2/issues/16>)
  * 0.0.3
  * install/setup.bat -> <path to ros2 install>/setup.bat (#25 <https://github.com/ros2/sros2/issues/25>)
  * Add internal topics (without partition) to default allow rule (#24 <https://github.com/ros2/sros2/issues/24>)
    The topic wildcard + partition wildcard doesn't match
  * Correct ordering of string formatting params (#23 <https://github.com/ros2/sros2/issues/23>)
    Topic and partition were swapped
  * make policy filenames match
  * Update OpenSSL install instructions for Windows
  * Fix connext for node with default partition (#20 <https://github.com/ros2/sros2/issues/20>)
  * update style to satisfy new flake8 plugins (#19 <https://github.com/ros2/sros2/issues/19>)
  * implicitly inherit from object (#18 <https://github.com/ros2/sros2/issues/18>)
  * remove flake8 dependency from Dockerfile (#17 <https://github.com/ros2/sros2/issues/17>)
  * add issue template
  * update dockerfile to use beta2 binaries (#14 <https://github.com/ros2/sros2/issues/14>)
  * add libssl-dev as an exec dependency (#13 <https://github.com/ros2/sros2/issues/13>)
  * OS X: fix typo for env. variable (#15 <https://github.com/ros2/sros2/issues/15>)
  * update links to master
  * Split docs and update content (#12 <https://github.com/ros2/sros2/issues/12>)
  * use ros2 run (#11 <https://github.com/ros2/sros2/issues/11>)
  * 0.0.2
  * Find openssl executable on osx and enforce minimum required version for all platforms (#10 <https://github.com/ros2/sros2/issues/10>)
  * Updates to Windows running instructions (#9 <https://github.com/ros2/sros2/issues/9>)
    - Fixed the OpenSSL install link
    - Added OpenSSL to path
    - Updated talker and listener calls
    - Deleted source section
  * fix fallback api without argcomplete (#8 <https://github.com/ros2/sros2/issues/8>)
  * fix wrong imports (#7 <https://github.com/ros2/sros2/issues/7>)
  * Add tools for security files generation (#3 <https://github.com/ros2/sros2/issues/3>)
  * Initial commit
  * Contributors: Adam Allevato, Dirk Thomas, Mikael Arguedas, Morgan Quigley, Shane Loretz, Tully Foote, Víctor Mayoral Vilches, dhood

 -- ROS Security Working Group <ros-security@googlegroups.com>  Fri, 08 Dec 2017 08:00:00 -0000


